Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.12.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21856
Description

In my QGIS opentopo project file (see www.opentopo.nl for rastered results) | use two label-layers for OSM (in PostGIS) road labeling:
one for the major roads and one for the minor roads. These layers have two mutually exclusive filters on the OSM data set.

| use an invisible index shapefile to generate an atlas of TIF raster images. The shapefile contains square polygons denoting the extents
per page. I've checked that the geometries are valid.

Until QGIS 2.10, the Atlas print composer generated all TIF raster images without any problems.

In QGIS 2.12, the Atlas print composer hangs at a particular atlas page (always the same one). It doesn't crash but seems to come into a
deadlock; after 24 hours still no result. By eliminating map layers one-by-one I've identified the two OSM labeling layers to be the issue.
The atlas composer works fine with none or one of these layers activated, but hangs when both OSM road labeling layers are activated.
This wasn't the case in previous versions.

I've tried changing all kinds of labels parameters (placement; priority; repeating labels, etc.) but no improvement.

I've tried to vacuum and reindex the OSM PostGIS database, but no improvement.

History

#1 - 2015-11-15 11:01 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you please test with the current daily snapshots? There's been a change since 2.12 which may have fixed this.

#2 - 2015-11-15 11:31 AM - JW van Aalst

Nyall Dawson wrote:

Can you please test with the current daily snapshots? There's been a change since 2.12 which may have fixed this.

Yes, of course. That's the latest file from http://qgis.org/downloads/weekly/?C=M;O0=D | take it?

#3 - 2015-11-15 12:04 PM - JW van Aalst

I've just tested with 2.13.0-45, but sadly no improvement.

#4 - 2015-11-16 04:37 AM - Giovanni Manghi
- Status changed from Feedback to Open
#5 - 2016-06-09 01:00 PM - Nyall Dawson
- Status changed from Open to Feedback

Can you confirm if this is still an issue in 2.14.3 and master?

#6 - 2016-06-09 11:42 PM - JW van Aalst

Thank you for the reminder. This exact cause of this issue has now been traced.

Seems to work fine in QGIS 2.14+.
Issue can be closed.

#7 - 2016-06-10 12:02 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
